
package jp.riken.brain.ni.samuraigraph.base;

import java.awt.Color;


/**
 * An object to manage timing lines.
 * 
 */
public interface SGIFigureElementTimingLine extends SGIFigureElement
{

	
	public static final String TAG_NAME_TIMING_LINES = "TimingLines";


	/**
	 * 
	 * @param element
	 */
	public void setAxisElement( final SGIFigureElementAxis element );


	/**
	 * 
	 */
	public boolean addTimingLine( final int x, final int y );


	/**
	 * 
	 * @param x
	 * @param y
	 */
	public void guideToAdd( final int x, final int y );


	public boolean setAxisDirectly( final int id, final int value );
	public boolean setLineWidthDirectly( final int id, final float value, final String unit );
	public boolean setLineTypeDirectly( final int id, final int value );
	public boolean setColorDirectly( final int id, final Color value );

}

